# Simple intro to Object Oriented,
# one class is defined and used

# Student class contains all information related to a student
class Student:
    # __init__ is called when an object is created from this class
    # Student name and ID are required, two lists are initiated empty
    def __init__(self, myName, myNumber):
        self.__name = myName
        self.__id = myNumber
        self.__grades = [ ]
        self.__courses = [ ]

    # variables are not referred directly, but through a method
    def add_course(self, course):
        self.__courses.append(course)

    # the self refers to the object created from this class
    # there are many students, so there will be many objects
    def get_name(self):
        return self.__name
    def get_id(self):
        return self.__id
    def get_courses(self):
        return self.__courses


# Create three student objects with name and ID
student1 = Student("Barbara", 123)
student2 = Student("Angelina", 564)
student3 = Student("Brad", 897)

# Add data to the objects
student1.add_course("Basics in Programming")
student1.add_course("Basics in Line Dancing")
student1.add_course("Advanced Programming")
student2.add_course("Algorithms and Datastructures")

# Create a student registry (list)
# the items on the list are objects
studentRegistry = [student1, student2, student3]

# Print students and their courses
for i in studentRegistry:
    print(f"Student {i.get_name()} has registered for {i.get_courses()}")
        # Note how the student's name and courses come
        # from the object by the get method