# This is the same as the other writing files demo, but uses the UK format for CSV files

def read_books(filename):
    books_file = open(filename, "r")
    books = []
    for book in books_file:
        book = book.rstrip()
        if book != "":
            book_parts = book.split(",")
            for i in range(len(book_parts)):
                book_parts[i] = book_parts[i].rstrip('"').lstrip('"')
            books.append(book_parts)
    books_file.close()
    return books

def read_book_sales(filename):
    books_file = open(filename, "r")
    booksales = []
    for book in books_file:
        book = book.rstrip()
        book_parts = book.split(",")
        for i in range(len(book_parts)):
            book_parts[i] = book_parts[i].rstrip("\"").lstrip("\"")
        booksales.append(book_parts)
    books_file.close()
    return booksales

def combined_book_sales(titles, sales):
    combined = []
    for i in titles:
        for j in sales:
            if i[1] == j[0]:
                combined.append([i[1],i[2],float(i[0]),int(j[1])])
    return combined

def save_sales(sales,filename):
    f_sales = open(filename, "w")
    f_sales.write('"Title","Author","Price","Units","Profit"\n')
    for i in sales:
        # Extra formatting removed from here, as decimal points are the default for Python
        f_sales.write(f'"{i[0]}","{i[1]}",{i[2]},{i[3]},{i[2]*i[3]}\n')
    f_sales.close()

books = read_books("books.csv")
booksales = read_book_sales("booksales.csv")
all_sales = combined_book_sales(books, booksales)
save_sales(all_sales,"booksalestotal_uk.csv")
